<template>
  <div class="mt-filter-item" :class="cssClass" @click="selectCategorie">
    <span class="hide-if-mobile no-wrap">{{ categorie[labelProperties] }} ({{ categorie.count }})</span>
    <span class="show-if-mobile">{{ categorie.code }} ({{ categorie.count }})</span>
  </div>
</template>

<script>
export default {
  name: 'MtFiltreCategorieItem',
  props: {
    categorie: {
      type: Object,
      default: () => ({}),
    },
    index: {
      type: Number,
      default: null,
    },
    selected: {
      type: Number,
      default: null,
    },
    labelProperties: {
      type: String,
      default: 'libelle',
    },
  },
  computed: {
    cssClass() {
      if (this.index === this.selected) {
        return 'selected';
      }
      return '';
    },
  },
  methods: {
    selectCategorie() {
      this.$emit('select-categorie', this.categorie);
    },
  },
};
</script>

<style scoped lang="scss">
.show-if-mobile {
  display: none;
}
@media screen and (max-width: 768px) {
  .hide-if-mobile {
    display: none;
  }
  .show-if-mobile {
    display: initial;
  }
}
</style>
